/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.htmlcheck.filters;

import java.util.*;
import com.silverwrist.venice.htmlcheck.Rewriter;
import com.silverwrist.venice.htmlcheck.RewriterServices;
import com.silverwrist.venice.htmlcheck.MarkupData;

public class EmailRewriter implements Rewriter
{
  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public EmailRewriter()
  { // do nothing
  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface Rewriter
   *--------------------------------------------------------------------------------
   */

  public String getName()
  {
    return null;

  } // end getName

  public MarkupData rewrite(String data, RewriterServices svc)
  {
    int at_pos = data.indexOf('@');
    if ((at_pos<=0) || (at_pos==(data.length()-1)))
      return null;

    // TODO: put in more validation checking

    // build the <A> tag (the gnarliest part)
    StringBuffer open_a = new StringBuffer("<A HREF=\"mailto:");
    open_a.append(data).append("\"");
    String catenate = svc.getRewriterAttrValue("ANCHORTAIL");
    if ((catenate!=null) && (catenate.length()>0))
      open_a.append(' ').append(catenate);
    open_a.append('>');

    // return the markup data back to the checker
    return new MarkupData(open_a.toString(),data,"</A>");

  } // end rewrite

} // end class EmailRewriter
